/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.impl;

import net.northking.cctp.scriptcase.db.dao.AtuSceneNodeInfoDao;
import net.northking.cctp.scriptcase.db.entity.AtuScriptInfo;
import net.northking.cctp.scriptcase.db.service.AtuSceneNodeInfoService;
import net.northking.cctp.scriptcase.db.entity.AtuSceneNodeInfo;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;


/**
 * 场景节点信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2023-01-31 17:10:50  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "AtuSceneNodeInfoServiceImpl")
public class AtuSceneNodeInfoServiceImpl extends PaginationService<AtuSceneNodeInfo> implements AtuSceneNodeInfoService
{
private static final Logger logger = LoggerFactory.getLogger(AtuSceneNodeInfoServiceImpl.class);

  private final AtuSceneNodeInfoDao atuSceneNodeInfoDao;

  public AtuSceneNodeInfoServiceImpl(AtuSceneNodeInfoDao atuSceneNodeInfoDao) {this.atuSceneNodeInfoDao = atuSceneNodeInfoDao;}

  public BasicDao<AtuSceneNodeInfo> getDao() {return atuSceneNodeInfoDao;}

  public AtuSceneNodeInfo createEntity() { return new AtuSceneNodeInfo();}

  @Override
  public List<AtuScriptInfo> queryScriptType(List<String> sceneId) {
    if (sceneId == null || sceneId.isEmpty()) {
      return new ArrayList<>();
    }
    return atuSceneNodeInfoDao.queryScriptType(sceneId);
  }

  @Override
  public List<AtuSceneNodeInfo> queryNodeByScriptId(List<String> ids) {
    return atuSceneNodeInfoDao.queryNodeInfoByIds(ids);
  }

  @Override
  protected void beforeInsert(AtuSceneNodeInfo atuSceneNodeInfo) {

  }

  @Override
  protected void beforeUpdate(AtuSceneNodeInfo atuSceneNodeInfo) {

  }







}

